Bug 245642 - NCP printer option on cups system-config-printer
NCP printer option on cups system-config-printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ncpfs (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 16:30 EDT by Douglas Chagas
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Chagas 2007-06-25 16:30:46 EDT
Description of problem: There is no option NCP on system-config-printer. There
was on the old versions of Fedora. But now there is all other options, except
NCP one.

I've installed ipx-utils and ncpfs. I can mount the volume perfectly, but thereś
no NCP option on system-config-printer.

The command pqlist works fine.

how can I print in a novell queue?

Thanks.
Comment 1 Douglas Chagas 2007-07-15 11:13:42 EDT
Did you find the problem? Did it happened with you?

Thank you,
Douglas Chagas
Comment 2 Vitezslav Crhonek 2007-07-16 06:09:49 EDT
Hi, yes, I have reproduced it. We need to ship CUPS backend for NCP (probably
wrapper around nprint). But please be patient, I have a lot of urgent work now...
Comment 3 Douglas Chagas 2007-07-30 15:41:05 EDT
Sorry about the insistence. 
I realy don´t want boring you. But the functions of the printer is realy 
important to me, and I think to lots of people.
Is there any other option, how to print in a NCP printer without that backend 
you said?
Or do you have a preview when the packet will be available?

Thank you very much,
Douglas Chagas
Comment 4 Douglas Chagas 2007-08-15 16:45:51 EDT
I don´t know how can I ask in a polite way. But, any new?

thanks,
Douglas Chagas
Comment 5 Vitezslav Crhonek 2007-08-22 05:15:14 EDT
Hi Douglas,

I spare some time and here is what I discover...

CUPS backend for NCP already exists (file /usr/lib/cups/backend/ncp).
system-config-printer gets list of devices by running this script without
parametres. This part of script is invoked:

if [ -z "$*" ]
  then
    # This is where we would enumerate all the URIs we support.
    # Patches welcome.
    exit 0
fi

So here is IMHO the problem, the script do actually nothig. It's owned by cups
package, so maybe maintaner of cups package can tell us more.
Another thing -- it's possible, that GUI for setting NCP in
system-config-printer doesn't exist too.

Can you print manually with those commands -- pqlist, pserver, pqstat, pqrm,
nprint from ncpfs package?
Comment 6 Brian Powell 2008-04-25 00:13:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.